android主题兼容问题

「已注销」 2014-03-21 05:55:41
我在4.0 sdk下开发,主题自带了Holo。然后我写了个app,指定了miniSDK跟targetSDK都是10,也就是android 2.3的系统。
但是这样当我程序安装到2.3的系统里,发现Holo主题是无效的,因为那个手机系统里根本没有定义Holo嘛!
问题是,我应该怎么做,才能让开发的app,不管在2.3还是4.0系统上,UI都能表现一致,即显示Holo风格。
当然我不想把4.0里的Holo主题属性一个个抄一遍到我的app的自定义主题里,属性太多,这样做很累。
我想问的是有没有类似support_v4这样的资源包,加入进工程后,就可以兼容2.3和4.0系统的主题风格?
...全文
26 点赞 收藏 1
写回复
1 条回复
「已注销」 2014年03月21日
引用 楼主 morrowindxie 的回复:
我在4.0 sdk下开发,主题自带了Holo。然后我写了个app,指定了miniSDK跟targetSDK都是10,也就是android 2.3的系统。 但是这样当我程序安装到2.3的系统里,发现Holo主题是无效的,因为那个手机系统里根本没有定义Holo嘛! 问题是,我应该怎么做,才能让开发的app,不管在2.3还是4.0系统上,UI都能表现一致,即显示Holo风格。 当然我不想把4.0里的Holo主题属性一个个抄一遍到我的app的自定义主题里,属性太多,这样做很累。 我想问的是有没有类似support_v4这样的资源包,加入进工程后,就可以兼容2.3和4.0系统的主题风格?
查了stackoverflow,貌似唯一的办法就是把4.0源码里的主题属性抄一遍了。。。算了。
回复 点赞
发动态
发帖子
Android
创建于2009-10-09

4.6w+

社区成员

9.0w+

社区内容

移动平台 Android
社区公告
暂无公告